import React from 'react';
import type { SelectProps } from 'rlj-design';
import type { BaseTreeProps, BaseTreeNodeProps } from '../BaseTree';
export interface DeptTreeSelectProps {
    /** 基础树的属性  */
    baseTreeProps?: Omit<BaseTreeProps, 'multiple'>;
    /** 数据处理函数 */
    customDataHandle?: (item: BaseTreeNodeProps) => {
        title: React.ReactNode;
        isLeaf: boolean;
        icon?: React.ReactNode | (() => React.ReactNode);
        checkable: boolean;
        nodeType: number;
        key: string;
        [key: string]: any;
    } & BaseTreeNodeProps;
    /** 默认请求参数 */
    defaultParams?: {
        [key: string]: any;
    };
    /** 指定默认选中的条目 */
    defaultValue?: SelectProps['defaultValue'];
    /** 不可选中的节点 */
    disableNode?: {
        [key: string]: string;
    };
    /** 单选或多选 */
    mode?: SelectProps['mode'];
    /** 选中 option，或 input 的 value 变化时，调用此函数 */
    onChange?: SelectProps['onChange'];
    /** 获取部门接口 */
    selectDept: Function;
    /** 指定当前选中的条目，多选时为一个数组。（value 数组引用未变化时，Select 不会更新） */
    value?: SelectProps['value'];
    style?: React.CSSProperties;
}
